# Graphic3d_TypeOfPrimitive.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Graphic3d_TypeOfPrimitive { Graphic3d_TOP_UNDEFINED, Graphic3d_TOP_POLYLINE, Graphic3d_TOP_POLYGON, Graphic3d_TOP_TRIANGLEMESH, Graphic3d_TOP_QUADRANGLEMESH, Graphic3d_TOP_TEXT, Graphic3d_TOP_MARKER, Graphic3d_TOP_PARRAY }
| The type of polygon in a group in a structure. . More...

## Enumeration Type Documentation

enum Graphic3d_TypeOfPrimitive

Enumeration values:

  Graphic3d_TOP_UNDEFINED |
  Graphic3d_TOP_POLYLINE |
  Graphic3d_TOP_POLYGON |
  Graphic3d_TOP_TRIANGLEMESH |
  Graphic3d_TOP_QUADRANGLEMESH |
  Graphic3d_TOP_TEXT |
  Graphic3d_TOP_MARKER |
  Graphic3d_TOP_PARRAY |